BizKitHub
DocsAPI ReferenceTeam Chat/bff/team-chat/schedule-create
postTeam ChatAdmin BFF

/bff/team-chat/schedule-create

Schedule a message ("send later")

Team chatpostBffTeam-chatSchedule-create

Parameters

JSON body

Request body

application/json
roomIdstringRequired

24-char room id.

Length: 24–24
contentstringRequired
Length: 1–10000
sendAtstringRequired

ISO date-time, 1 minute to 90 days ahead.

Response schema

1 status code documented

200Success
idstringRequired
roomIdstringRequired
contentstringRequired
sendDatestringRequired
failedReasonstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null

Response example

application/json
{
  "id": "example_id",
  "roomId": "example_roomId",
  "content": "example_content",
  "sendDate": "example_sendDate"
}

Request example

POST /bff/team-chat/schedule-create

post
curl -X POST "https://api.bizkithub.com/bff/team-chat/schedule-create" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "roomId": "example_roomId",
  "content": "example_content",
  "sendAt": "example_sendAt"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key